Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358766 - owncloud-9.1.1 is available
Summary: owncloud-9.1.1 is available
Keywords:
Status: CLOSED DUPLICATE of bug 1393164
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 12:26 UTC by Upstream Release Monitoring
Modified: 2016-12-15 21:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-15 21:29:19 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-07-21 12:30 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-09-21 12:31 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-07-21 12:26:33 UTC
Latest upstream release: 9.1.0
Current version/release in rawhide: 9.0.4-1.fc25
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2580/

Comment 1 Upstream Release Monitoring 2016-07-21 12:30:36 UTC
Patching or scratch build for owncloud-9.0.4 failed.

Comment 2 Upstream Release Monitoring 2016-07-21 12:30:38 UTC
Created attachment 1182467 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-07-21 12:30:41 UTC
Patches were not touched. All were applied properly

Comment 4 James Hogarth 2016-07-25 10:05:39 UTC
For any interested parties ...

Build is being put together and tested in the private-owncloud-next branch. I expect to complete this in a week or so.

My intention is to hold back the 9.1.X release until I've had a chance to review any issues (9.0.0 was very buggy at release) and to align with a NextCloud 10 package when it's available as the oC -> nC path for those that wish to follow it is 9.0.X oC to 9.0.X nC and 9.1.X oC to 10.0.X nC

Comment 5 James Hogarth 2016-07-26 14:21:38 UTC
Further to the above ...

The private-owncloud-next repo has a build ready and tested on Fedora.

There is at least dependency that will need bumping in EPEL7 for a build there.

I'm going to hold off on this for the time being though and stick to the 9.0 stable not just for the nextcloud sync but also due to the Documents app not yet being 9.1 ready, with it being a popular app.

If there's enough interest in the 9.1 build I'll pop up a COPR for it for the time being, whilst keeping 9.0 stable in Fedora/EPEL7.

Comment 6 Upstream Release Monitoring 2016-09-21 12:27:29 UTC
Latest upstream release: 9.1.1
Current version/release in rawhide: 9.0.4-1.fc25
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2580/

Comment 7 Upstream Release Monitoring 2016-09-21 12:31:38 UTC
Patching or scratch build for owncloud-9.0.4 failed.

Comment 8 Upstream Release Monitoring 2016-09-21 12:31:40 UTC
Created attachment 1203278 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 9 Upstream Release Monitoring 2016-09-21 12:31:43 UTC
Patches were not touched. All were applied properly

Comment 10 Didier 2016-09-21 13:15:55 UTC
@James

Is it possible to upgrade current EL7 oC installations (i.e. 9.0.3, 9.0.4) to 9.1.x, while attending a resolution for bug#1360482 ?

I.e. is oC 9.1.x -> nC 10.x a 'supported'/feasible upgrade path ?

Comment 11 James Hogarth 2016-09-21 13:19:43 UTC
(In reply to Didier from comment #10)
> @James
> 
> Is it possible to upgrade current EL7 oC installations (i.e. 9.0.3, 9.0.4)
> to 9.1.x, while attending a resolution for bug#1360482 ?
> 
> I.e. is oC 9.1.x -> nC 10.x a 'supported'/feasible upgrade path ?

yes the supported paths from oC to nC are:

9.0 -> 9
9.1 -> 10

I held off the oC 9.1 update at the time 9.1 was released due to the history of oC x.0 issues and that some key apps like documents were not yet compatible, and due to nC 10 not being out then.

Comment 12 Didier 2016-09-21 13:34:56 UTC
Thank you for your swift reply.

As bug#1360482 has been stalled for quite a while now (and no https://jhogarth.fedorapeople.org/nextcloud/ nextcloud-10.0 src.rpm yet), we'll probably upgrade to EL7 oC 9.1.1 when/if the src.rpm becomes available.


Anyway and as said before, your efforts are very much appreciated.

Comment 13 James Hogarth 2016-09-21 14:32:15 UTC
Now my personal and professional lives have stabilised a bit I'm going to be able to pick this up again.

I'll get the COPR repos updated this weekend I expect with the nC 10 build and the oC 9.1.1 build.

If the apps have been updated (documents in particular I imagine would affect people) when I give it a run through my test harness I'll push the oC 9.1.1 update out to Fedora and EPEL at least ... and update the review request for nC to 10 as well.

Comment 14 Didier 2016-09-21 15:16:33 UTC
TIA !

Comment 15 Fedora Update System 2016-10-07 06:24:43 UTC
owncloud-9.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff166fdf76

Comment 16 Fedora Update System 2016-10-07 09:24:52 UTC
owncloud-9.1.1-1.fc23, php-icewind-smb-1.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccda1f10a8

Comment 17 Fedora Update System 2016-10-07 09:58:01 UTC
owncloud-9.1.1-1.fc24, php-icewind-smb-1.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-651999c6e0

Comment 18 Upstream Release Monitoring 2016-10-08 16:41:26 UTC
jhogarth's owncloud-9.1.1-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=807659

Comment 19 Fedora Update System 2016-10-18 11:31:46 UTC
owncloud-9.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-10-18 15:54:44 UTC
owncloud-9.1.1-1.fc24, php-icewind-smb-1.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-10-19 06:21:37 UTC
owncloud-9.1.1-1.fc23, php-icewind-smb-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Mukundan Ragavan 2016-11-08 02:16:00 UTC
Hello there! any chance 9.1.1 will be pushed for EPEL-7?

Also, is nextcloud the future in the repos?

Thanks!

Comment 23 James Hogarth 2016-12-15 21:29:19 UTC

*** This bug has been marked as a duplicate of bug 1393164 ***


Note You need to log in before you can comment on or make changes to this bug.